/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Tventas;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TventasFacadeLocal {

    void create(Tventas tventas);

    void edit(Tventas tventas);

    void remove(Tventas tventas);

    Tventas find(Object id);

    List<Tventas> findAll();

    List<Tventas> findRange(int[] range);

    int count();

    Tventas FindTven(String productoCodigo, String sucursalCodigo);

}
